# Archivo
Date: 2016-11-30

utiles

## Class Archivo

- java.lang.Object
- - utiles.Archivo

    public class Archivo
    extends java.lang.Object

Esta clase se dedica en especifico al tratamiento de archivos. Contiene metodos que permiten un manejo de archivos con el formato "dato11;dato12;dato13*!dato21;dato22;dato23" pudiendo modificar las lineas, las cuales estan separadas por *!

### Constructor Summary

Constructors
Constructor and Description
`Archivo(java.lang.String archivo)` Constructor para la clase archivo, recibiendo el nombre del archivo que debera manejar, y creandolo si es que no existia previamente

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `actArchivo(java.lang.String[] texto)` Remplaza el contenido del archivo por el String[] entregado
`void` `borrarLinea(java.lang.String id)` Borra una linea respecto al id entregado
`static void` `changeName(java.lang.String nuevo, java.lang.String old)` Actualiza el nombre de un archivo
`void` `clearFile()` Elimina todo el contenido del archivo
`java.lang.String[]` `entregarProcesado()` Toma el contenido del archivo y lo divide en los saltos de linea, los cuales son representados por *!
`void` `escribirArchivo(java.lang.String texto)` Aņade el String entregado al final del archivo
`static java.lang.String` `getRuta(java.lang.String archivo)` Este metodo asigna una ruta al archivo dependiendo del sistema operativo.
`java.lang.String` `leerArchivo()` Lee el contenido del archivo y une todas sus lineas en un solo string para ser procesado mas tarde
`void` `modificarLinea(java.lang.String linea, java.lang.String nueva)` Cambia una linea del archivo

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Archivo

    public Archivo(java.lang.String archivo)

Constructor para la clase archivo, recibiendo el nombre del archivo que debera manejar, y creandolo si es que no existia previamente

Parameters:
  `archivo` - String con el nombre del archivo al que se desea acceder/crear

### Method Detail

#### changeName

    public static void changeName(java.lang.String nuevo,
                                  java.lang.String old)

Actualiza el nombre de un archivo

Parameters:
  `nuevo` - Nuevo nombre para el archivo
  `old` - El nombre que tiene actualmente el archivo

#### getRuta

    public static java.lang.String getRuta(java.lang.String archivo)

Este metodo asigna una ruta al archivo dependiendo del sistema operativo.

Si es Windows lo asignara a la ruta C:\P.A.M\

Si es Linux lo asignara al directorio de usuario en la carpeta /P.A.M/

Parameters:
  `archivo` - Nombre del archivo al que se le asignara la ruta
Returns:
  La ruta completa que tendra el archivo

#### leerArchivo

    public java.lang.String leerArchivo()

Lee el contenido del archivo y une todas sus lineas en un solo string para ser procesado mas tarde

Returns:
  Contenido del archivo en un solo String

#### escribirArchivo

    public void escribirArchivo(java.lang.String texto)

Aņade el String entregado al final del archivo

Parameters:
  `texto` - Texto a aņadir

#### entregarProcesado

    public java.lang.String[] entregarProcesado()

Toma el contenido del archivo y lo divide en los saltos de linea, los cuales son representados por *!

Returns:
  contenido del archivo dividido en *!

#### borrarLinea

    public void borrarLinea(java.lang.String id)

Borra una linea respecto al id entregado

Parameters:
  `id` - Texto el cual esta en el primer espacio en la lina a borrar

#### actArchivo

    public void actArchivo(java.lang.String[] texto)

Remplaza el contenido del archivo por el String[] entregado

Parameters:
  `texto` - Texto con el que se remplazara el archivo

#### clearFile

    public void clearFile()

Elimina todo el contenido del archivo

#### modificarLinea

    public void modificarLinea(java.lang.String linea,
                               java.lang.String nueva)

Cambia una linea del archivo

Parameters:
  `linea` - Linea original a cambiar
  `nueva` - Linea que remplaza a la original